> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stats Report

> Get a summaraized channel stats report for any YouTube Channel with a weekly, monthly, quarterly, yearly or all-time stats.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "statsReport": {
      "weekly": {
        "views": 777908316,
        "viewsDelta": 242470258,
        "subscribers": 1000000,
        "subscribersDelta": 0,
        "estimatedRevenueLowUsd": 633964,
        "estimatedRevenueHighUsd": 1764985,
        "estimatedRevenueDelta": 250261
      },
      "monthly": {
        "views": 3333609348,
        "viewsDelta": 75876649,
        "subscribers": 6000000,
        "subscribersDelta": -3000000,
        "estimatedRevenueLowUsd": 2618245,
        "estimatedRevenueHighUsd": 7290802,
        "estimatedRevenueDelta": 830991
      },
      "quarterly": {
        "views": 9776270244,
        "viewsDelta": 456464982,
        "subscribers": 25000000,
        "subscribersDelta": -8000000,
        "estimatedRevenueLowUsd": 6684409,
        "estimatedRevenueHighUsd": 18629076,
        "estimatedRevenueDelta": 1399789
      },
      "yearly": {
        "views": 35409305666,
        "viewsDelta": 9119529221,
        "subscribers": 108000000,
        "subscribersDelta": -27000000,
        "estimatedRevenueLowUsd": 25401161,
        "estimatedRevenueHighUsd": 70770187,
        "estimatedRevenueDelta": -10947432
      },
      "allTime": {
        "views": 91550723696,
        "viewsDelta": 0,
        "subscribers": 417000000,
        "subscribersDelta": 0,
        "estimatedRevenueLowUsd": 118054265,
        "estimatedRevenueHighUsd": 328012151,
        "estimatedRevenueDelta": 0
      }
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-channel-stats-report
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-channel-stats-report:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-channel-stats-report
      operationId: get_wf_youtube-channel-stats-report
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get Channel Details**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: >-
            If you would like to get the channel profile and details set this to
            `true`
          schema:
            type: boolean
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````